Library Version 18.1.40

DB_ENV->get_lg_filemode()
Prev | Chapter 7. The DB_LSN Handle | Next

## DB_ENV->get_lg_filemode()

    #include <db.h>

    int
    DB_ENV->get_lg_filemode(DB_ENV *dbenv, int *lg_modep);

The `DB_ENV->set_lg_filemode()` method returns the log file mode. You can manage this value using the DB_ENV->set_lg_filemode() method.

The `DB_ENV->set_lg_filemode()` method may be called at any time during the life of the application.

The `DB_ENV->set_lg_filemode()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lg_modep

The `DB_ENV->set_lg_filemode()` method returns the log file mode in lg_modep.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods, DB_ENV->set_lg_filemode()

Prev | Up | Next
DB_ENV->get_lg_dir() | Home | DB_ENV->get_lg_max()